<?php
include '../config.php';  include '../checkSession.php';


$lang = $_GET['lang'];
$enviado = $_GET['enviado'];
//echo $enviado;

$tyc = trim($_POST['tyc64']);
$tyc = base64_decode($tyc);

$textoActualizacionTyC = trim($_POST['textoActualizacionTyC64']);
$textoActualizacionTyC = base64_decode($textoActualizacionTyC);


$tituloDePagina = urlencode($tituloDePagina);
$tyc = rawurlencode($tyc);
$textoActualizacionTyC = rawurlencode($textoActualizacionTyC);

$avisoTyC = trim($_POST['avisoTyC']);
$versionTyC = trim($_POST['versionTyC']);

if($avisoTyC != 1){
  $avisoTyC = 0;

}

//echo $avisoTyC;

    $curl = curl_init();
    $id="ckuwqltrkpenm0b788cug2f0d";

    if($lang == "en"){

        curl_setopt_array($curl, array(
            CURLOPT_URL => $endpoint_graph_cms,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateGeneralidadesSitioPrivado(data: {terminosYCondiciones: \\"'.$tyc.'\\", avisoTyC: \\"'.$avisoTyC.'\\", versionTyC: \\"'.$versionTyC.'\\",  textoActualizacionTyC: \\"'.$textoActualizacionTyC.'\\", enviadoRevision: \\"'.$enviado.'\\"}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n  \\r\\n}\\r\\n","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }

    if($lang == "es"){
        curl_setopt_array($curl, array(
            CURLOPT_URL => $endpoint_graph_cms,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateGeneralidadesSitioPrivado(data: {localizations: {update: {data: {terminosYCondiciones: \\"'.$tyc.'\\", avisoTyC: \\"'.$avisoTyC.'\\", versionTyC: \\"'.$versionTyC.'\\", textoActualizacionTyC: \\"'.$textoActualizacionTyC.'\\", enviadoRevision: \\"'.$enviado.'\\"}, locale: es_MX}}}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n  \\r\\n\\r\\n}","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }


    $response = curl_exec($curl);
    curl_close($curl);
    echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['updateGeneralidadesSitioPrivado']['id'];

//echo $id;

  $sucess = "<p class='successmsg'>Información actualizada correctamente</p>";
  $fail = "<p class='errormsg'>Falló la actualización..</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpTyc").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}

?>